docs

# HandleableCallbackBasedHolder

class HandleableCallbackBasedHolder < T > : HandleableTriggersHolder <suspend ( T ) -> Boolean >
Content copied to clipboard

## Constructors

HandleableCallbackBasedHolder
Link copied to clipboard
fun HandleableCallbackBasedHolder ()
Content copied to clipboard

## Functions

isHandled
Link copied to clipboard
suspend fun isHandled (data: T ): Boolean
Content copied to clipboard
registerHandleable
Link copied to clipboard
suspend fun registerHandleable (data: suspend ( T ) -> Boolean )
Content copied to clipboard
unregisterHandleable
Link copied to clipboard
suspend fun unregisterHandleable (data: suspend ( T ) -> Boolean )
Content copied to clipboard

## Properties

handleable
Link copied to clipboard
val handleable : List <suspend ( T ) -> Boolean >
Content copied to clipboard